## python-electrum-ecc 0.0.6+ds

=== debian/changelog ===
python-electrum-ecc (0.0.6+ds-2) unstable; urgency=medium

  * debian/control: Update VCS information.
  * debian/watch: Bump to version 5, rewrite source info.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sat, 27 Sep 2025 18:37:19 -0400

python-electrum-ecc (0.0.6+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1111031)

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Tue, 12 Aug 2025 17:02:09 -0400
