=== debian/control ===
Source: python-electrum-ecc
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>,
           Manuel Guerra <ar.manuelguerra@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Build-Depends-Indep: libsecp256k1-dev,
                     python3-pytest <!nocheck>
Homepage: https://github.com/spesmilo/electrum-ecc
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-electrum-ecc
Vcs-Git: https://salsa.debian.org/python-team/packages/python-electrum-ecc.git
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2

Package: python3-electrum-ecc
Architecture: all
Depends: ${libsecp256k1dep},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Pure Python ctypes wrapper for libsecp256k1
 This package provides a pure Python interface to the native C library
 libsecp256k1, which is a highly optimized library for cryptographic operations
 on the secp256k1 elliptic curve.
 .
 Unlike other wrappers that might embed or compile their own C code, this
 package leverages the system-installed version of libsecp256k1, ensuring
 compatibility and security by relying on a trusted, widely-used and maintained
 system library.
 .
 It utilizes the Python ctypes foreign function library to dynamically load and
 call functions from libsecp256k1 at runtime, providing a low-overhead and
 efficient bridge between Python and the high-performance C implementation.
 .
 This package is an essential component for projects requiring fast and secure
 Elliptic Curve Cryptography, such as the Electrum Bitcoin wallet, and is
 suitable for developers needing to perform tasks like key generation, ECDSA
 signature verification, and Schnorr signatures.
