=== debian/watch ===
Version: 5
Source: https://pypi.debian.net/electrum-ecc
Matching-Pattern: .*/electrum_ecc-*@ANY_VERSION@\.tar\.gz
Dversion-Mangle: auto
Repack: yes
Repacksuffix: +ds
